Add a webhook
Add a webhook subscription to the account
Authorizations
Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
Path Parameters
The numeric ID of the account
Body
The url where the events should be sent
"https://example.com/webhook"
The name of the webhook
The events you want to subscribe to.
conversation_created, conversation_status_changed, conversation_updated, message_created, message_updated, contact_created, contact_updated, webwidget_triggered, conversation_typing_on, conversation_typing_off Response
Success
The ID of the webhook
The url to which the events will be send
The name of the webhook
The list of subscribed events
conversation_created, conversation_status_changed, conversation_updated, contact_created, contact_updated, message_created, message_updated, webwidget_triggered, conversation_typing_on, conversation_typing_off Secret used to sign webhook requests. Signed webhook deliveries include X-Chatwoot-Timestamp and X-Chatwoot-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Chatwoot-Delivery when a delivery id is available.
The id of the account which the webhook object belongs to

